pyweblib.sslenv (version 0.6.1) | index /usr/lib/python2.3/site-packages/pyweblib/sslenv.py

`pyweblib.sslenv.py - retrieve SSL data from environment vars
(C) by Michael Stroeder
This module is distributed under the terms of the
GPL (GNU GENERAL PUBLIC LICENSE) Version 2
(see http://www.gnu.org/copyleft/gpl.html)
$Id: pyweblib.sslenv.html,v 1.13 2004/08/24 10:26:30 michael Exp $`

Modules

``

os | re | string | sys

Functions

``

GetAllSSLEnviron(env=None)
  `Get all SSL-related environment vars and return mod_ssl
  compatible dictionary.
  mod_ssl compatible names are preferred. ApacheSSL names
  are used as fallback.`

PrintSecInfo(env, acceptedciphers, valid_dn_regex='', valid_idn_regex='', f=<open file '<stdout>', mode 'w'>)
  `Print the SSL data in HTML format`

SecLevel(env, acceptedciphers, valid_dn_regex='', valid_idn_regex='')
  `Determine Security Level of SSL session.
  Returns:
  0 no SSL at all
  1 SSL-connection and cipher used is in acceptedciphers
  2 like 1 but client also has sent client certificate
  matching valid_dn_regex and valid_idn_regex.`

asn12html4(s)
  `Convert BMPString to HTML-4 character representation`

t612html4(s)
  `Convert T.61 character representation to HTML-4 character representation`

Data
`` |  | __version__ = '0.6.1'